-- vim:nowrap


local S = ladders_3d.translator
local mass_register = ladders_3d.mass_register


mass_register({
    groups = {
        choppy = 2,
        flammable = 2,
        oddly_breakable_by_hand = 3
    },
    shading = 64,
    ladders = {
        everness_bamboo         = { S('Bamboo Ladder'),         'everness:bamboo_block',   'everness_bamboo_block_side.png'           },
        everness_bamboo_wood    = { S('Bamboo Wood Ladder'),    'everness:bamboo_wood',    'everness_dry_bamboo_block_side.png'       },
        everness_coral_wood     = { S('Coral Wood Ladder'),     'everness:coral_wood',     'everness_coral_wood.png'                  },
        everness_dry_wood       = { S('Dry Wood Ladder'),       'everness:dry_wood',       'everness_dry_wood.png'                    },
        everness_lava_tree      = { S('Lava Tree Wood Ladder'), 'everness:lava_tree_wood', 'everness_lava_tree_wood.png'              },
        everness_mese_wood      = { S('Mese Wood Ladder'),      'everness:mese_wood',      'everness_mese_wood.png'                   },
        everness_palm_tree_wood = { S('Palm Tree Wood Ladder'), 'everness:palm_tree_wood', 'everness_palm_tree_wood.png'              },
        everness_sequoia_wood   = { S('Sequoia Wood Ladder'),   'everness:sequoia_wood',   'everness_sequoia_wood.png^[transformR180' },
        everness_willow_wood    = { S('Willow Wood Ladder'),    'everness:willow_wood',    'everness_willow_wood.png'                 }
    }
})
